# Лабораторная работа №1
В рамках данной лабораторной работы будут развёрнуты следующие сервисы:
1. **Gitea** - система управления версиями
2. **Postgres** - реляционая база данных
3. **Rabbitmq** - брокер сообщений

Инструкции к запуску контейнеров и пояснения к ним находятся в файле ```docker-compose.yml```

## Порядок запуска
#### 1. Установить docker или убедиться, что он установлен
#### 2. Перейти в папку с файлом ```docker-compose.yml```
#### 3. Выполнить команду в терминале: ```docker-compose up --build --remove-orphans``` 

Проверить успешность запуска можно командой ```docker ps -a```. Если всё прошло успешно, то в терминале будет написано:
```
CONTAINER ID   IMAGE                   COMMAND                  CREATED          STATUS          PORTS                                                                                                         NAMES
1a794331b32b   gitea/gitea:1.22.2      "/usr/bin/entrypoint…"   20 seconds ago   Up 18 seconds   0.0.0.0:3000->3000/tcp, 0.0.0.0:222->22/tcp                                                                   polevoy_sergey_lab_1-gitea-1
b5fe33c61c1d   rabbitmq:3-management   "docker-entrypoint.s…"   20 seconds ago   Up 19 seconds   4369/tcp, 5671/tcp, 0.0.0.0:5672->5672/tcp, 15671/tcp, 15691-15692/tcp, 25672/tcp, 0.0.0.0:15672->15672/tcp   rabbitmq
3d2db73d15c5   postgres:14             "docker-entrypoint.s…"   20 seconds ago   Up 19 seconds   0.0.0.0:5432->5432/tcp                                                                                        polevoy_sergey_lab_1-postgres-1
```

Работать со всеми перечисленными сервисами можно сразу после запуска за исключением **gitea**. После первого запуска необходимо зайти на сервис, выполнить первоначальную настройку и создать суперпользователя. 

## Видеодемонстрация работы
### Видео доступно по [ссылке](https://disk.yandex.ru/i/3Out4mUV6NEJuA)